Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TC_Private_State Class Reference

Private state of the TypeCode. More...

`#include <Typecode.h>`

List of all members.

## Public Methods
| TC_Private_State (CORBA::TCKind kind)
| Constructor. More...
| ~TC_Private_State (void)
| Destructor. More...
## Public Attributes
TAO_SYNCH_MUTEX | mutex_
CORBA::TCKind | tc_kind_
| Our kind that will determine what kind of children we may have. More...
CORBA::Boolean | tc_id_known_
CORBA::Boolean | tc_name_known_
CORBA::Boolean | tc_member_count_known_
CORBA::Boolean | tc_member_type_list_known_
CORBA::Boolean | tc_member_name_list_known_
CORBA::Boolean | tc_member_label_list_known_
CORBA::Boolean | tc_discriminator_type_known_
CORBA::Boolean | tc_default_index_used_known_
CORBA::Boolean | tc_length_known_
CORBA::Boolean | tc_content_type_known_
CORBA::Boolean | tc_discrim_pad_size_known_
CORBA::Boolean | tc_member_visibility_list_known_
CORBA::Boolean | tc_type_modifier_known_
CORBA::Boolean | tc_concrete_base_type_known_
char * | tc_id_
char * | tc_name_
CORBA::ULong | tc_member_count_
CORBA::TypeCode_ptr * | tc_member_type_list_
char ** | tc_member_name_list_
CORBA::Any_ptr * | tc_member_label_list_
CORBA::TypeCode_ptr | tc_discriminator_type_
CORBA::Long | tc_default_index_used_
CORBA::ULong | tc_length_
CORBA::TypeCode_ptr | tc_content_type_
CORBA::Visibility * | tc_member_visibility_list_
CORBA::ValueModifier | tc_type_modifier_
CORBA::TypeCode_ptr | tc_concrete_base_type_

## Detailed Description

Private state of the TypeCode.

Used to store precomputed values

## Constructor & Destructor Documentation

TC_Private_State::TC_Private_State | ( | CORBA::TCKind | kind | ) |

| Constructor.

TC_Private_State::~TC_Private_State | ( | void |  | ) |

| Destructor.

## Member Data Documentation

TAO_SYNCH_MUTEX TC_Private_State::mutex_

CORBA::TypeCode_ptr TC_Private_State::tc_concrete_base_type_

CORBA::Boolean TC_Private_State::tc_concrete_base_type_known_

CORBA::TypeCode_ptr TC_Private_State::tc_content_type_

CORBA::Boolean TC_Private_State::tc_content_type_known_

CORBA::Long TC_Private_State::tc_default_index_used_

CORBA::Boolean TC_Private_State::tc_default_index_used_known_

CORBA::Boolean TC_Private_State::tc_discrim_pad_size_known_

CORBA::TypeCode_ptr TC_Private_State::tc_discriminator_type_

CORBA::Boolean TC_Private_State::tc_discriminator_type_known_

char* TC_Private_State::tc_id_

CORBA::Boolean TC_Private_State::tc_id_known_

CORBA::TCKind TC_Private_State::tc_kind_

| Our kind that will determine what kind of children we may have.

CORBA::ULong TC_Private_State::tc_length_

CORBA::Boolean TC_Private_State::tc_length_known_

CORBA::ULong TC_Private_State::tc_member_count_

CORBA::Boolean TC_Private_State::tc_member_count_known_

CORBA::Any_ptr* TC_Private_State::tc_member_label_list_

CORBA::Boolean TC_Private_State::tc_member_label_list_known_

char** TC_Private_State::tc_member_name_list_

CORBA::Boolean TC_Private_State::tc_member_name_list_known_

CORBA::TypeCode_ptr* TC_Private_State::tc_member_type_list_

CORBA::Boolean TC_Private_State::tc_member_type_list_known_

CORBA::Visibility* TC_Private_State::tc_member_visibility_list_

CORBA::Boolean TC_Private_State::tc_member_visibility_list_known_

char* TC_Private_State::tc_name_

CORBA::Boolean TC_Private_State::tc_name_known_

CORBA::ValueModifier TC_Private_State::tc_type_modifier_

CORBA::Boolean TC_Private_State::tc_type_modifier_known_

The documentation for this class was generated from the following files:

- Typecode.h
- Typecode.cpp